aboutsummaryrefslogtreecommitdiff
path: root/t/test-lib.sh
diff options
context:
space:
mode:
authorFredrik Kuivinen <freku045@student.liu.se>2005-12-03 11:40:39 +0100
committerJunio C Hamano <junkio@cox.net>2005-12-03 12:28:57 -0800
commitd3bfdb755e06c04492ad3977e7df3d780b6e02f2 (patch)
tree701653a13bbef1a833a8b6efba0b4edbcde6a214 /t/test-lib.sh
parent4275df517022604f5c33ba05ae45a885b84e3472 (diff)
downloadgit-d3bfdb755e06c04492ad3977e7df3d780b6e02f2.tar.gz
git-d3bfdb755e06c04492ad3977e7df3d780b6e02f2.tar.xz
test-lib.sh: Add new function, test_expect_code
The test is considered OK if it exits with code $1 Signed-off-by: Fredrik Kuivinen <freku045@student.liu.se> Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 't/test-lib.sh')
-rwxr-xr-xt/test-lib.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/t/test-lib.sh b/t/test-lib.sh
index e654155a2..f2eccd791 100755
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -133,6 +133,19 @@ test_expect_success () {
fi
}
+test_expect_code () {
+ test "$#" = 3 ||
+ error "bug in the test script: not 3 parameters to test-expect-code"
+ say >&3 "expecting exit code $1: $3"
+ test_run_ "$3"
+ if [ "$?" = 0 -a "$eval_ret" = "$1" ]
+ then
+ test_ok_ "$2"
+ else
+ test_failure_ "$@"
+ fi
+}
+
test_done () {
trap - exit
case "$test_failure" in